<style>
    body {
        padding: 5mm 15mm 5mm 10mm;
    }

    h1 {
        font-size: 22px;
    }

    h2 {
        font-size: 18px;
    }

    .data-request-categories-entry > caption {
        background-color: #dedede;
        padding: 15px;
    }

    .data-request-categories-entry-header {
        background-color: #ededed;
    }

    .data-request-categories-entry-header > td {
        background-color: #0ca678;
        padding: 10px;
    }

    .data-request-categories-entry-header-spacer {
        height: 15px;
    }

    .data-request-categories-entry {
        page-break-inside: avoid !important;
        width: 100%;
    }

    .data-request-categories-entry ul {
        padding: 0;
        margin: 0;
    }

    .data-request-categories-entry li {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    .data-request-categories-entry-dataFields-row:nth-child(even) {
        background-color: #DEDEDE;
    }

    .data-request-categories-entry-dataFields-table {
        width: 100%;
    }

    .data-request-categories-entry-dataFields-row-title {
        font-weight: bold;
        vertical-align: top;
    }
</style>

<h1>{locale group="quiqqer/gdpr" var="DataRequest.tpl.caption"}</h1>

<div class="data-request-info">
    {locale group="quiqqer/gdpr" var="DataRequest.tpl.info"
    userName=$User->getName()
    regulatoryAuthorityAddressLines=$regulatoryAuthorityAddressLines
    date=$date
    }
</div>

<div class="data-request-categories-list">
    <p>
        {locale group="quiqqer/gdpr" var="DataRequest.tpl.categories_info"}
    </p>
    <ul>
        {foreach $providers as $entry}
            <li>{$entry['title']}</li>
        {/foreach}
    </ul>
</div>

<div class="data-request-categories">
    {foreach $providers as $entry}
        <table class="data-request-categories-entry">
            <caption>
                {$entry['title']}
            </caption>
            <tbody>
            <!-- User data fields -->
            <tr class="data-request-categories-entry-header">
                <td colspan="2">
                    {locale group="quiqqer/gdpr" var="DataRequest.tpl.header.userData"}
                </td>
            </tr>
            <tr class="data-request-categories-entry-dataFields">
                <td colspan="2">
                    {\QUI\GDPR\DataRequest\Utils::parseUserDataHtmlFromUserDataEntries($entry['userDataFields'])}
                </td>
            </tr>

            <!-- Purpose -->
            <tr class="data-request-categories-entry-header-spacer"></tr>
            <tr class="data-request-categories-entry-header">
                <td colspan="2">
                    {locale group="quiqqer/gdpr" var="DataRequest.tpl.header.purpose"}
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    {$entry['purpose']}
                </td>
            </tr>

            <!-- Recipients -->
            <tr class="data-request-categories-entry-header-spacer"></tr>
            <tr class="data-request-categories-entry-header">
                <td colspan="2">
                    {locale group="quiqqer/gdpr" var="DataRequest.tpl.header.recipients"}
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    {$entry['recipients']}
                </td>
            </tr>

            <!-- Storage duration -->
            <tr class="data-request-categories-entry-header-spacer"></tr>
            <tr class="data-request-categories-entry-header">
                <td colspan="2">
                    {locale group="quiqqer/gdpr" var="DataRequest.tpl.header.storageDuration"}
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    {$entry['storageDuration']}
                </td>
            </tr>

            <!-- Origin -->
            {if !empty($entry['origin'])}
                <tr class="data-request-categories-entry-header-spacer"></tr>
                <tr class="data-request-categories-entry-header">
                    <td colspan="2">
                        {locale group="quiqqer/gdpr" var="DataRequest.tpl.header.origin"}
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        {$entry['origin']}
                    </td>
                </tr>
            {/if}

            {if !empty($entry['customText'])}
                <!-- Custom text -->
                <tr class="data-request-categories-entry-header-spacer"></tr>
                <tr class="data-request-categories-entry-header">
                    <td colspan="2">
                        {locale group="quiqqer/gdpr" var="DataRequest.tpl.header.customText"}
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        {$entry['customText']}
                    </td>
                </tr>
            {/if}
            </tbody>
        </table>
    {/foreach}
</div>